Kernel 3.10.0-957.1.3.el7 breaks neth server


(Michael) #1

Hi everyone,

I had the latest 7.5 version of nethserver serving only as a domain controller (samba 4.7.10). I started the new upgrade on NethServer release 7.6.1810 (final) (samba 4.8.6) and after the upgrade everything started to go wrong… i could not ping my AD IP address, nethserver IP, web gui was not working, yum couldn’t resove (but the ping was working towards the internet) etc . Checking it with systemctl, everyhing was running, no errors in journal.
After two hours of restarting, searching, I lowered kernel back on 3.10.0-862.14.4.el7.x86_64 and everything returned to normal.
Did anybody had similar problems?

BR


(Stéphane de Labrusse) #2

What is the hardware of your server, does it could special?


(Michael) #3

VM, Hyper V generation2 - MAC spoofing is on
baremetal hardware Supermicro (something exotic)


(Stéphane de Labrusse) #4

you are not alone :’(

https://bugs.centos.org/view.php?id=15358

more generally, this is what my request : Supermicro 3.10.0-957.1.3.el7

In short, your hardware is not compatible with centos7.6, you should upgrade something, either the kernel, or the kmod like you can find in the link.


Issues with 7.6 and HyperV 16